import request from '@/utils/request'

// 查询生产计划信息列表
export function listProdPlanErpInfo(query) {
  return request({
    url: '/mes/prod/prodPlanErpInfo/list',
    method: 'get',
    params: query
  })
}

// 查询生产计划信息详细
export function getProdPlanErpInfo(objId) {
  return request({
    url: '/mes/prod/prodPlanErpInfo/' + objId,
    method: 'get'
  })
}

// 新增生产计划信息
export function addProdPlanErpInfo(data) {
  return request({
    url: '/mes/prod/prodPlanErpInfo',
    method: 'post',
    data: data
  })
}

// 修改生产计划信息
export function updateProdPlanErpInfo(data) {
  return request({
    url: '/mes/prod/prodPlanErpInfo',
    method: 'put',
    data: data
  })
}

// 删除生产计划信息
export function delProdPlanErpInfo(objId) {
  return request({
    url: '/mes/prod/prodPlanErpInfo/' + objId,
    method: 'delete'
  })
}
